Support » Fixing WordPress » Upgrade version 4.2.x to 4.7.2 for security release

  • My company is running multiple WordPress projects with varying versions, all are not at the latest WordPress released version, lowest at 4.2.
    Are there separate patches for each WordPress version to patch the security vulnerability directly?
    Is there any other way to access the security patch without upgrading to 4.7.2?
    And lastly, if upgrading to 4.7.2 is the only way to get the security patch, is there a walk-through/guide we can use? We are especially worried that the website will not work with such a huge jump in version, 4.2 to 4.7.2.

Viewing 2 replies - 1 through 2 (of 2 total)
  • Security updates are still being released for WordPress 3.7 and above. Normally those updates would occur automatically, so you should check to see if that has happened on your websites. Otherwise, you can get access to the latest versions of older releases from the Release Archive page.

    While upgrading from 4.2 or above to 4.7 shouldn’t cause any problems directly, it is possible that a plugin or theme might have an incompatibility with the newer version of WordPress if it hasn’t been updated, though. To be extra cautious you could make a copy of the website and run the upgrade on that first, so that you can check for that and resolve any issues before upgrading the production website.

    I strongly advise updating to 4.7.2

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Upgrade version 4.2.x to 4.7.2 for security release’ is closed to new replies.